# SPDX-FileCopyrightText: 2010-2023 Blender Foundation
#
# SPDX-License-Identifier: GPL-2.0-or-later

import bpy
from .operators import *
from typing import List, Tuple


addon_keymaps = []


def register() -> None:
    wm = bpy.context.window_manager
    kc = wm.keyconfigs.addon
    if kc is None:
        return
    
    km = kc.keymaps.new(name="File Browser Main")
    kmi = km.keymap_items.new("dspl.browse_poses", type="L", value="PRESS", alt=True)
    kmi.active = True
    addon_keymaps.append((km, kmi))


def unregister() -> None:
    for km, kmi in addon_keymaps:
        km.keymap_items.remove(kmi)
    addon_keymaps.clear()
